.format-icon {
  position: relative;
  display: inline-flex;
  width: 44px;
  height: 44px;
  align-items: center;

  &.is-big {
    span {
      font-size: 1.25rem;
    }
  }

  &.type-KML {
    border: 1px solid #939df2;
  }

  &.type-WMS {
    border: 1px solid #e5a1f1;
  }

  &.type-WS {
    border: 1px solid #78d7d7;
  }

  &.type-WFS {
    border: 1px solid #7bc0f5;
  }

  &.type-WCS {
    border: 1px solid #cbde96;
  }
  
  &.type-SOS {
    border: 1px solid #e24861;
  }

  span {
    font-size: 0.875rem;
    font-weight: 600;
    line-height: 1;
    width: 44px;
    text-align: center;
    padding: 0.3rem;
  }
}
